Skip to content
Documentation

Get Invoices

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

organization

​

Get Invoices

​

Path Parameters

  • Integer numbers.

Responses

  • application/json
  • application/json
Request Example for get/org/{organization_id}/invoices
curl /org/1/invoices \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "amount": "string",
    "begin_period_date": "2026-10-16T06:47:20.484Z",
    "end_period_date": "2026-10-16T06:47:20.484Z",
    "status": "paid",
    "url": "string",
    "items": [
      {
        "product": "string",
        "quantity": 1,
        "amount": "string"
      }
    ],
    "next_invoice_date": "2026-10-16T06:47:20.484Z"
  }
]